Skip to content

swank-clojure no longer working with slime update (os x) #120

Closed
ghost opened this Issue Mar 31, 2012 · 1 comment

1 participant

@ghost
ghost commented Mar 31, 2012

Not sure if this is an issue with swank-clojure or swank/slime in general, so my apologies ahead of time...

Made the mistake of updating my macports tree and upgrading slime, now when I invoke clojure-jack-in while in my clojure project I get the following message:

Versions differ: 2012-02-12 (slime) vs. 20100404 (swank). Continue? (y or n)

Pressing yes will bring up the Slime REPL but with the outdated 20100404 version in the REPL header. Attempting to evaluate a simple s-expression will result in the following:

slime-check-connected: Not connected. Use `M-x slime' to start a Lisp.

Indeed, checking the messages i can see that this one appeared immediately before attempting to evaluate the expression:

Lisp connection closed unexpectedly: connection broken by remote peer

Tried to get assistance with this issue on stackoverflow, but so far there are no takers. Thanks.

@technomancy
Owner

Yes, this is a known problem. Swank Clojure is only known to work with version 20100404 of slime. If you use M-x clojure-jack-in as per the readme it will use this version of slime, but it won't work with the current upstream.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.